/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
  HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */



body, div, main, section, article {
  box-sizing: border-box; 
}

html, body {
    margin: 0;
}

/* universal background color */
body {
    background-color: #d9d9d9;
    overflow-x: hidden;
    min-height: 100vh;
}

@font-face {
    font-family: 'LetterOMatic';
    src: url('/font/LetterOMatic_woff/LetterOMatic.woff2') format('woff2'),
         url('/font/LetterOMatic_woff/LetterOMatic.woff') format('woff');
    font-weight: normal;
    font-style: normal;}

.container {
    width: 100%;
    margin: auto;
    position: relative;
    z-index: 1;
    scroll-behavior: smooth;
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* header image */
header img {
}

.bannerbg {
position: relative;
    background-color: #e1c89e;
    width: 100%;
    z-index: -1;
}

.bannerlogo {
      left: -360px;
    position: relative;
}

/* clearfix hack to prevent image overflow. check out the W3Schools page on it. */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

/*FONTS*/

/* header font */
#showComic, header, h1, h2, h3, h4, h5 {
  font-family: 'LetterOMatic', bold;
}

h2 {margin:10px;}

h5 {margin:15px; margin-top:0px; font-size: 1.5em;}

h3 {margin:15px 0px 10px 0px; font-size: 1.1em;}

/* body font */
.subPage p, footer, #authorNotes, .archiveTable {
  font-family: 'Open Sans', sans-serif;
  font-size: 18px;
}

/* STYLING FOR SUBPAGES (about, characters, etc) */

/*general*/

#showComic {
  position: relative;
}

.subPage {
width: 900px;
    background-color: #ffffff;
    border: 2px solid black;
    margin: auto;
    margin-bottom: 10px;
    padding: 1px 12px 5px 12px;
    margin-top: 50px;
    position: relative;
}

.subPage:not(.archivePage) {
  text-align: center;
}

/* for pictures displayed to the left */
.leftPic {
  clear: left;
  float:right;
  margin-left:20px;
}

/* for pictures displayed to the left */
.rightPic {
  clear: right;
  float:left;
  margin-left:20px;
}

/* specific to Characters */
.charTable, .charTable td { 
  width: 100%;
}

/* link colors */
a {
      color: #000000;
    }

a:hover {
      color: rgba(42,72,88,1);
    }

.nextbut:hover {position:relative;left:10px;}
.prevbut:hover {position:relative;right:10px;}
/* HEADER */
.writeHeader {
    display: flex;
    background-color: white;
    justify-content: center;
}

header #nav {
    position: relative;
    width: 100vw;
    background-color: #ffffff;
    border-top: 2px solid #000000;
    font-size: 20px;
    border-bottom: 2px solid #000000;
    margin: auto;
    /* top: 130px; */
    z-index: 5;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    display: flex;
    justify-content: center;
}

#nav a{text-decoration:none;}
/* HOMEPAGE */

/* style nav button images */
.comicNav {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
    padding: 10px 0px 10px 0px;
    background-color: transparent;
    background-repeat: repeat;
    background-position: center;
    user-select: none;
}

.comicNav img {
  width: 70px;
  max-width: 98%;
  padding-right: 30px;
}

.writePageTitle {
  opacity:0;
  height:0;
  display: none;
}

h1 { margin:0; }

/* style comic page image */
.comicPage img {
    width: auto;
    max-width: 700px;
    border: 2px solid black;
}

/* style author notes */
#authorNotes {
  background-color:#ffffff;
  border: 2px solid black;
  margin: auto;
  padding: 15px;
  width: 900px;
  position: relative;
  filter: drop-shadow(6px 6px 0px black);
}

/* ARCHIVE PAGE */

/* style table in which archive is displayed */
.archiveTable {
  width: 90%;
  border-collapse:collapse;
}

/* style archive table cells */
.archiveTable td {
}

.archiveCellTitle {
      width: 100%;
      padding: 10px;
}

/* style table cell in which page title is displayed */
.archiveCellTitle:not(.leftAlignTableText) {
  max-width: 300px;
  text-align: center;
}

.archiveCellDate {
  text-align: right;
  min-width: 120px;
  font-size: 12px;
  padding: 10px;
}

.archiveCellNum {
  font-size: 12px;
  text-align: center;
  min-width: 30px;
  padding: 10px;
}

/* style the thumbnails on the archive page */
.archiveCellThumb {
    max-width: 100px;
    max-height: 100px;
    padding: 0px;
}
.archiveCellThumb img{
    width: 100px;
    height: 100px;
  }

/* for left aligning the text in a table cell */
.leftAlignTableText td {
  text-align: left;
}

.archiveRow {
    display: flex;
    height: 100px;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
}

/* highlight a table row and make pointer into hand when moused over */
.archiveRow:hover {
  background-color: #00000022;
  cursor: pointer;
}

/* FOOTER */
footer {
  color: black;
  margin-top: 12px;
  margin-bottom: 5px;
  float: left;
  width: 100%;
  font-size: 12px;
}

footer p {
  margin: auto;
}

footer a {
  color: #c8d32b
}

footer a:hover {
  color: #868d26;
}

/* take away margins from the edges of the screen */
html, body {
  margin: 0;
}

.backgrounddiv {
    width: 110vw;
    height: 110vh;
    position: fixed;
    top: 0;
    left: 0;
    background-image: url(/bg/2ps_neutral.png);
    background-size: 20px;
    background-repeat: repeat;
    mix-blend-mode: multiply;
    z-index: 0;
    filter: brightness(.5) contrast(6.5);
}

.clickable {
  transition: .15s;
}

.clickable:hover {
  transform: scale(1.02);
  transition: .15s;
}

.tags {
  position: absolute;
    top: 0;
    right: 0;
        margin-right: 4px;
}
